function resolver()
{
 
            C_BaseEntity* p_entity = g_pEntitylist.GetClientEntity(i);
            if (p_entity && !p_entity.IsDormant())

               feet_yaw = p_entity.GetBasePlayerAnimState().m_flCurrentFeetYaw;
                body_max_rotation = p_entity.GetBasePlayerAnimState().pad10[516];
                if (feet_yaw < 58)

                    if (-58 > feet_yaw)
                        p_entity.angs().y = body_max_rotation + p_entity.angs().y;



                    p_entity.angs().y = body_max_rotation - p_entity.angs().y;

                if (p_entity.GetAnimOverlay(6).m_flPlaybackRate > 0.1)

                    resolve_delta = 58.0; resolve_delta < -58.0; resolve_delta = resolve_delta - 20.0

                        p_entity.angs().y = resolve_delta;
        end

}
    function init()


{
Cheat.RegisterCallback("CreateMove", "resolver")
}
init();